package com.sunxung.factoring.entity.salescontractmanagement.vo;

import com.sunxung.factoring.entity.ValidatorEntity;
import com.sunxung.factoring.entity.salescontractmanagement.SalesContractApproval;
import com.sunxung.factoring.entity.salescontractmanagement.SalesContractApprovalPersonInfoHistoryRef;
import com.sunxung.factoring.entity.sys.FileStorage;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description : 销售合同信息Vo类
 * @Author : L.Jia
 * @Date: 2021-09-17 14:39
 */
public class SalesContractApprovalVo  extends ValidatorEntity {

    @NotNull(message = "审批信息不能为空")
    private SalesContractApproval salesContractApproval;

    private List<FileStorage> fileList;

    private SalesContractApprovalPersonInfoHistoryRef salesContractApprovalPersonInfoHistoryRef;

    public SalesContractApprovalPersonInfoHistoryRef getSalesContractApprovalPersonInfoHistoryRef() {
        return salesContractApprovalPersonInfoHistoryRef;
    }

    public void setSalesContractApprovalPersonInfoHistoryRef(SalesContractApprovalPersonInfoHistoryRef salesContractApprovalPersonInfoHistoryRef) {
        this.salesContractApprovalPersonInfoHistoryRef = salesContractApprovalPersonInfoHistoryRef;
    }

    public SalesContractApproval getSalesContractApproval() {
        return salesContractApproval;
    }

    public void setSalesContractApproval(SalesContractApproval salesContractApproval) {
        this.salesContractApproval = salesContractApproval;
    }

    public List<FileStorage> getFileList() {
        return fileList;
    }

    public void setFileList(List<FileStorage> fileList) {
        this.fileList = fileList;
    }
}
